<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

/**
 * Admin
 * @mixin Builder
 * @method static Builder|static where($column, $operator = null, $value = null, $boolean = 'and')
 * @method static Builder|static create($data)
 * @property $id
 * @property $member_id
 * @property $channel
 * @property $bank_name
 * @property $account
 * @property $card_no
 * @property $alias
 *
 */
class Bank extends BaseModel
{


    protected $table = 'banks';
    protected $fillable = ['member_id', 'channel', 'bank_name', 'account', 'card_no', 'alias'];

    public function getId()
    {
        return $this->id;
    }

    public function setMemberId($memberId): void
    {
        $this->member_id = $memberId;
    }

    public function getMemberId(): int
    {
        return $this->member_id;
    }

    public function getChannel(): string
    {
        return $this->channel;
    }

    public function getBankName(): string
    {
        return $this->bank_name;
    }

    public function getAccount(): string
    {
        return $this->account;

    }

    public function getAlias(): string
    {
        return $this->alias;
    }

    public function getCardNo(): string
    {
        return $this->card_no;
    }
}